=== requirements.txt ===
jwcrypto
six
