=== debian/changelog ===
custodia (0.1.0-5ubuntu1) xenial; urgency=medium

  * disable tests, they fail on ubuntu buildd for some reason.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Mar 2016 09:30:31 +0200

custodia (0.1.0-5) unstable; urgency=medium

  * rules: Run tox directly instead via 'make tests'.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 11 Mar 2016 00:16:46 +0200

custodia (0.1.0-4) unstable; urgency=medium

  * Don't run sphinx or python3 tests, they need network and have other
    issues.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Mar 2016 23:58:01 +0200

custodia (0.1.0-3) unstable; urgency=medium

  * fix-tox-env-for-machine-installed-python-version.diff: Look harder
    for local extensions.
  * dont-install-deps.diff: Don't try to install deps from the network,
    and disable doc target. (Closes: #808640)
  * control: Add python-{flake8,pep8-naming,sphinx} to build-deps.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 02 Jan 2016 13:10:19 +0200

custodia (0.1.0-2) unstable; urgency=medium

  * Fix copyright, uses GPL-3+ instead of LGPL.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 16 Oct 2015 09:55:27 +0300

custodia (0.1.0-1) unstable; urgency=low

  * Initial upload. (Closes: #800735)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Oct 2015 13:26:38 +0300
