=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.8.5 at
# Fri, 02 Oct 2015 13:26:38 +0300
export PYBUILD_NAME=custodia
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
#	tox -e py27

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/custodia/usr/share/doc
	mv debian/python-custodia/usr/share/doc/custodia \
		debian/custodia/usr/share/doc
	mv debian/python-custodia/usr/share/man \
		debian/custodia/usr/share/
	mv debian/python-custodia/usr/bin \
		debian/custodia/usr/sbin
	find debian/python*/ -name '*.egg-info' -exec rm '{}' ';'
	find debian/.*/ -name 'LICENSE' -exec rm '{}' ';'
	for i in bin share/doc/custodia share/man; do \
		rm -rf debian/python3-custodia/usr/$$i; done
