=== debian/watch ===
# please also check http://pypi.debian.net/custodia/watch
version=3
https://github.com/simo5/custodia/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
