=== debian/changelog ===
custodia (0.5.0-3) unstable; urgency=medium

  * control: Drop configparser from python3-custodia Depends, it's
    shipped by python3 itself.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Dec 2017 20:49:20 +0200

custodia (0.5.0-2) unstable; urgency=medium

  * control: Add python-configparser, -cryptography and -six to depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 26 Dec 2017 12:39:07 +0200

custodia (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * control, copyright, watch: Update upstream urls.
  * control: Add VCS urls.
  * control: Fix python3-custodia Depends. (Closes: #867397)
  * Bump debhelper to 10.
  * control: Bump policy to 4.1.2, no changes.
  * patches: Delete upstreamed patches.
  * rules: Drop obsolete moving of files.
  * Don't run servertests, and disable installing dependencies via an
    env variable instead of patching.
  * control: Add python-requests to b-deps/deps.
  * control: Add python-systemd to b-deps/deps.
  * rules: Add python3 tests, override dh_clean.
  * control: Bump python-jwcrypto2 dependency to 0.4.2.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 23 Dec 2017 10:44:08 +0200

custodia (0.1.0-6) unstable; urgency=medium

  * disable-intersphinx.diff: Disable intersphinx, which would download
    stuff from the net. (Closes: #834587)
  * control: Fix section. (Closes: #832203)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Oct 2016 09:37:22 +0300
