=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: custodia
 Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Section: python
+Section: admin
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  pep8,
  pylint,
@@ -12,28 +12,35 @@
  python-all (>= 2.6.6-3),
  python-coverage,
  python-flake8,
- python-jwcrypto,
+ python-jwcrypto (>= 0.4.2),
  python-pep8-naming,
  python-pytest,
+ python-requests,
  python-setuptools,
  python-six,
+ python-systemd,
  python3-all (>= 2.6.6-3),
  python3-coverage,
  python3-flake8,
- python3-jwcrypto,
+ python3-jwcrypto (>= 0.4.2),
  python3-pep8-naming,
  python3-pytest,
+ python3-requests,
  python3-setuptools,
  python3-six,
+ python3-systemd,
  tox,
-Standards-Version: 3.9.6
-Homepage: https://github.com/simo5/custodia
+Standards-Version: 4.1.2
+Vcs-Git: https://anonscm.debian.org/git/pkg-freeipa/custodia.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-freeipa/custodia.git
+Homepage: https://github.com/latchset/custodia
 
 Package: custodia
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
  python-custodia,
- python-jwcrypto,
+ python-jwcrypto (>= 0.4.2),
+ python-six,
 Description: Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use
@@ -44,7 +51,11 @@
 Package: python-custodia
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
- python-jwcrypto,
+ python-configparser,
+ python-cryptography,
+ python-jwcrypto (>= 0.4.2),
+ python-requests,
+ python-systemd,
 Description: Python bindings to Custodia -- Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use
@@ -56,8 +67,11 @@
 
 Package: python3-custodia
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
- python3-jwcrypto,
+Depends: ${misc:Depends}, ${python3:Depends},
+ python3-cryptography,
+ python3-jwcrypto (>= 0.4.2),
+ python3-requests,
+ python3-systemd,
 Description: Python3 bindings to Custodia -- Modular and pluggable Secrets Manager
  Custodia allows one to serve retrieve, manage and store secrets for other
  applications. It is useful for distributed, stateless applications that use
