## custodia 0.6.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 TOX := $(PYTHON) -m tox --sitepackages
 DOCS_DIR = docs
 SERVER_SOCKET = $(CURDIR)/server_socket
+QUICK_GUIDE = docs/source/quick
+QUICK_SOCKET = $(QUICK_GUIDE)/quick
 
 RPMBUILD = $(CURDIR)/dist/rpmbuild
 
@@ -35,7 +37,7 @@
 	echo "All tests passed"
 
 clean_socket:
-	rm -f $(SERVER_SOCKET) $(CONTAINER_SOCKET)
+	rm -f $(SERVER_SOCKET) $(CONTAINER_SOCKET) $(QUICK_SOCKET)
 
 clean_coverage:
 	rm -f .coverage .coverage.*
@@ -55,15 +57,17 @@
 	find ./ -depth -name __pycache__ -exec rm -rf {} \;
 	rm -rf tests/tmp
 	rm -rf vol
+	rm -f $(QUICK_GUIDE)/quick.audit.log \
+	    $(QUICK_GUIDE)/quick.db \
+	    $(QUICK_GUIDE)/quick.key
 
 cscope:
 	git ls-files | xargs pycscope
 
 test: clean_socket clean_coverage
-	$(TOX) --skip-missing-interpreters -e py27
-	$(TOX) --skip-missing-interpreters -e py34
-	$(TOX) --skip-missing-interpreters -e py35
-	$(TOX) --skip-missing-interpreters -e py36
+	$(TOX) --skip-missing-interpreters -e py27-extra,py27-noextra
+	$(TOX) --skip-missing-interpreters -e py35-extra,py35-noextra
+	$(TOX) --skip-missing-interpreters -e py36-extra,py36-noextra
 	$(TOX) --skip-missing-interpreters -e doc
 	$(TOX) -e coverage-report
 
@@ -82,7 +86,7 @@
 	PYTHONPATH=$(CURDIR)/src \
 	    $(MAKE) -C $(DOCS_DIR) html SPHINXBUILD="$(PYTHON) -m sphinx"
 
-.PHONY: install egg_info run packages release releasecheck
+.PHONY: install egg_info run quickrun packages release releasecheck
 install: clean_socket egg_info
 	$(PYTHON) setup.py install --root "$(PREFIX)"
 	install -d "$(PREFIX)/share/man/man7"
@@ -123,6 +127,10 @@
 run: egg_info
 	$(PYTHON) $(CURDIR)/bin/custodia $(CONF)
 
+quickrun: egg_info
+	@ # sed -n -e 's/.*\$$ \(alias\|curl\)/\1/p' docs/source/quick.rst
+	@ # sed 's,./quick,$(QUICK_SOCKET),g'
+	$(PYTHON) bin/custodia $(QUICK_GUIDE)/quick.conf
 
 .PHONY: rpmroot rpmfiles rpm
 rpmroot:
