=== debian/changelog ===
custodia (0.6.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove dependency on python3-pep8 (Closes: #1093285)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Feb 2025 13:17:54 +0100

custodia (0.6.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:44:18 +0200

custodia (0.6.0-5) unstable; urgency=medium

  * control: Build-depend on python3-pep8 instead of pep8. (Closes:
    #949939)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 04 Feb 2020 21:05:02 +0200

custodia (0.6.0-4) unstable; urgency=medium

  * Team upload
  * Switch pylint3 to pylint, the former is now a cruft package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Dec 2019 15:25:09 +0100

custodia (0.6.0-3) unstable; urgency=medium

  * Migrate to python3. (Closes: #939100)
  * control: Bump policy to 4.4.0.
  * control: Add adduser to custodia depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Sep 2019 23:59:40 +0300

custodia (0.6.0-2) unstable; urgency=medium

  * rules: Set locale so we get an error msg if something goes wrong
    with the build.
  * rules: Disable the tests for now.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 06 Dec 2018 01:51:51 +0200

custodia (0.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump dh to 11.
  * control: Update maintainer list address.
  * control: Update vcs urls.
  * control: Drop pylint3 from build-depends for now, it's not
    installable.
  * Add content to custodia, including daemon, cli script, systemd
    service files etc.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 Aug 2018 21:53:55 +0300
