=== debian/control ===
Source: custodia
Maintainer: Debian FreeIPA Team <pkg-freeipa-devel@alioth-lists.debian.net>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 11),
 dh-python,
 pylint,
 python3-all (>= 2.6.6-3),
 python3-coverage,
 python3-flake8,
 python3-jwcrypto (>= 0.4.2),
 python3-pep8-naming,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-systemd,
 tox,
Standards-Version: 4.4.0
Vcs-Git: https://salsa.debian.org/freeipa-team/custodia.git
Vcs-Browser: https://salsa.debian.org/freeipa-team/custodia
Homepage: https://github.com/latchset/custodia

Package: custodia
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 adduser,
 python3-custodia,
 python3-jwcrypto (>= 0.4.2),
 python3-six,
Description: Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.

Package: python3-custodia
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
 python3-cryptography,
 python3-jwcrypto (>= 0.4.2),
 python3-requests,
 python3-systemd,
Description: Python3 bindings to Custodia -- Modular and pluggable Secrets Manager
 Custodia allows one to serve retrieve, manage and store secrets for other
 applications. It is useful for distributed, stateless applications that use
 an image file base approach for instantiation like container based images.
 But it is alaso useful to manage distribution of key material across a
 multiple machines over a network.
 .
 This package includes the bindings for python3.
