=== debian/watch ===
# please also check http://pypi.debian.net/custodia/watch
version=3
https://github.com/latchset/custodia/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
